GetApplication - AWS Security Agent

GetApplication

Retrieves information about an application.

Request Syntax

POST /GetApplication HTTP/1.1 Content-type: application/json { "applicationId": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

applicationId

The unique identifier of the application to retrieve.

Type: String

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "applicationId": "string", "applicationName": "string", "defaultKmsKeyId": "string", "domain": "string", "idcConfiguration": { "idcApplicationArn": "string", "idcInstanceArn": "string" }, "roleArn": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

applicationId

The unique identifier of the application.

Type: String

applicationName

The name of the application.

Type: String

defaultKmsKeyId

The identifier of the default AWS KMS key used to encrypt data for the application.

Type: String

domain

The domain associated with the application.

Type: String

idcConfiguration

The IAM Identity Center configuration for the application.

Type: IdCConfiguration object

roleArn

The Amazon Resource Name (ARN) of the IAM role associated with the application.

Type: String

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: